
QGIS Application - Bug report #10998

KML name in layer tree is different than the KML added to map canvas

2014-08-02 09:40 AM - Antonio Locandro

Status: Closed

Priority: Low

Assignee:

Category: Vectors

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 19340

Description

When opening a KML e.g. real_estate.kml once it is added to the layer tree it gets a generic name ~GE2E41.kmz, this is very annoying

since it should capture the name of the selected KML and should read real_estate instead

This complicates matters once you add several KML layers.

History

#1 - 2014-08-05 03:48 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Category set to Vectors

I cannot confirm on bot qgis 2.4 and master, Linux and Windows. If you have a problematic file, please attach it.

#2 - 2014-08-05 09:13 AM - Antonio Locandro

- File barceloneta_outlets.kml added

Attached the file, it is named barceloneta_outlets.kml it has a single point, when opened in QGIS it is opened as ~GE2E41.kmz

#3 - 2014-10-08 09:50 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

works fine on qgis master on both linux and windows, please reopen if necessary.

Files

barceloneta_outlets.kml 1.72 KB 2014-08-05 Antonio Locandro
